<?php

/**
 * Plugin Name: Dark Mode for WordPress
 * Plugin URI: https://wordpress.org/plugins/darkmode/
 * Description: Adds a "dark mode" button to your theme, using "mix-blend-mode" to darken your styles. Useful for many websites and many eyeballs.
 * Version: 1.0.0
 * Author: Optimocha
 * Author URI: https://optimocha.com/
 * License: GPL v3
 * Requires PHP: 5.6 or later
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 3, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

defined( 'ABSPATH' ) or die( __( 'No script kiddies please!' ) );

define( 'DARKMODE_VERSION', '1.0.0' );

if ( ! class_exists( 'Optimocha_Dark_Mode' ) ) {

	class Optimocha_Dark_Mode {

		function __construct(){

			add_action( 'wp_enqueue_scripts', [ $this, 'darkmode_scripts' ] );

		}

		function darkmode_scripts() {
			
			wp_enqueue_script( 'darkmode', plugin_dir_url( __FILE__ ) . 'js/darkmode.min.js', false, DARKMODE_VERSION, true );
			wp_add_inline_script( 'darkmode', 'new Darkmode({label:"🌓"}).showWidget();' );

		}

	}

	new Optimocha_Dark_Mode();
}
